# ControllerList (Javadocs: controlP5)
Date: 2014-04-27

controlP5

## Class ControllerList

- java.lang.Object
- - controlP5.ControllerList

    public class ControllerList
    extends java.lang.Object

Stores objects of type ControllerInterface and CDrawable, mainly for internal use.

### Constructor Summary

Constructors
Constructor and Description
`ControllerList()`

### Method Summary

Methods
`void` `add(ControllerInterface<?> theController)`
`java.util.List<ControllerInterface<?>>` `get()`
`ControllerInterface<?>` `get(int theIndex)`
`CDrawable` `getDrawable(int theIndex)`
`java.util.List<CDrawable>` `getDrawables()`
`int` `size()`
`int` `sizeDrawable()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControllerList

    public ControllerList()

### Method Detail

#### add

    public void add(ControllerInterface<?> theController)

#### get

    public java.util.List<ControllerInterface<?>> get()

#### get

    public ControllerInterface<?> get(int theIndex)

#### getDrawable

    public CDrawable getDrawable(int theIndex)

#### getDrawables

    public java.util.List<CDrawable> getDrawables()

#### size

    public int size()

#### sizeDrawable

    public int sizeDrawable()